# $Revision: 1.8 $, $Date: 2006/12/08 01:13:56 $
Summary:	GNU JavaBeans(TM) Activation Framework (JAF)
Summary(pl):	rodowisko aktywacyjne JavaBeans(TM) (JAF) w wersji GNU
Name:		java-gnu-activation
Version:	1.1.1
Release:	3
License:	LGPL
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/classpathx/activation-%{version}.tar.gz
# Source0-md5:	de50d7728e8140eb404f2b4554321f8c
URL:		http://www.gnu.org/software/classpathx/jaf/jaf.html
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jre
Provides:	jaf
Provides:	java-activation
BuildArch:	noarch
ExclusiveArch:	i586 i686 pentium3 pentium4 athlon %{x8664} noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU JAF is a framework for declaring what beans operate on what MIME
type data. Content handler beans can be defined to handle particular
MIME content. The JAF unites Internet standards for declaring content
with JavaBeans(TM).

%description -l pl
GNU JAF to szkielet sucy do deklarowania, na jakim typie danych
maj operowa beans. Procedura obsugi beans moe by zdefiniowana do
operowania na konkretnej zawartoci MIME. JAF jednoczy standardy
internetowe do deklarowania zawartoci przy uyciu JavaBeans(TM).

%package javadoc
Summary:	API documentation for GNU JAF
Summary(pl):	Dokumentacja API GNU JAF
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	java-gnu-activation-doc

%description javadoc
API documentation for GNU JavaBeans(TM) Activation Framework.

%description javadoc -l pl
Dokumentacja API GNU JavaBeans(TM) Activation Framework.

%prep
%setup -q -n activation-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
unset CLASSPATH || :
export JAVAC=%{javac}
%configure

%{__make}
%{__make} javadoc

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_javadir}/{activation.jar,gnu-activation-%{version}.jar}
ln -s gnu-activation-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/activation.jar
ln -s gnu-activation-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jaf-1.1.jar
ln -s gnu-activation-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jaf.jar

cp -R docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog source/javax/activation/*.html
%{_javadir}/*.jar

%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-gnu-activation.spec,v $
Revision 1.8  2006/12/08 01:13:56  glen
- -javadoc R: jpackage-utils for parent dirs; rel 3

Revision 1.7  2006/05/25 12:22:19  jajcus
- Release: 2
- jar location fixed

Revision 1.6  2006/05/25 11:40:30  jajcus
- BR: jpackage-utils, rpmbuild(macros) >= 1.300
- doc subpackage renamed to javadoc
- versioned JAR, compatibility links

Revision 1.5  2006/05/23 06:29:06  qboosh
- capital

Revision 1.4  2006/05/23 06:28:03  qboosh
- pl

Revision 1.3  2006/05/21 11:08:17  radek
- ExclusiveArch: noarch (for ./builder)

Revision 1.2  2006/05/18 13:33:10  jajcus
- doc subpackage added
- ExclusiveArch and Buildarch added

Revision 1.1  2006/05/18 11:01:06  jajcus
- new spec: GNU JAF (Sun JAF license is too restricted)
